%global debug_package %{nil}
%global filename com.leinardi.gwe

Name:           gwe
Version:        0.12.3
Release:        5%{?dist}
Summary:        System utility designed to provide information of NVIDIA card

License:        GPLv3+
Url:            https://gitlab.com/leinardi/gwe/
Source0:        %{url}/-/archive/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  /usr/bin/appstream-util
BuildRequires:  /usr/bin/desktop-file-validate
BuildRequires:  libdazzle
BuildRequires:  libnotify
BuildRequires:  meson
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
#BuildRequires:  python3-cairocffi
BuildRequires:  python3-devel
BuildRequires:  python3-peewee
BuildRequires:  python3-xlib

Requires:       libdazzle
Requires:       python3-gobject
Requires:       python3-injector
Requires:       python3-matplotlib-gtk3
Requires:       python3-peewee
Requires:       python3-py3nvml
Requires:       python3-pyxdg
Requires:       python3-requests
Requires:       python3-rx
#Requires:       xorg-x11-drv-nvidia-cuda

%description
GWE is a GTK system utility designed to provide information, control the fans
and overclock your NVIDIA video card and graphics processor.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{filename}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{filename}.desktop

%files
%doc CHANGELOG.md README.md RELEASING.md CODE_OF_CONDUCT.md CONTRIBUTING.md
%license COPYING.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/%{filename}.gresource
%{_datadir}/applications/%{filename}.desktop
%{_datadir}/dbus-1/services/%{filename}.service
%{_datadir}/glib-2.0/schemas/%{filename}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{filename}.png
%{_datadir}/icons/hicolor/symbolic/apps/%{filename}-symbolic.svg
%{_metainfodir}/%{filename}.appdata.xml
%{python3_sitelib}/%{name}

%changelog
* Tue Mar 12 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.12.3-5
- Updated spec file

* Tue Mar 12 2019 Dead Mozay <dead_mozay@opensuse.org> - 0.12.3-1
- Initial package